package com.autentia.tutos;

import java.util.HashMap;
import java.util.List;

import net.sf.jasperreports.engine.JRException;
import net.sf.jasperreports.engine.JasperCompileManager;
import net.sf.jasperreports.engine.JasperExportManager;
import net.sf.jasperreports.engine.JasperFillManager;
import net.sf.jasperreports.engine.JasperPrint;
import net.sf.jasperreports.engine.JasperReport;
import net.sf.jasperreports.engine.data.JRBeanCollectionDataSource;
import net.sf.jasperreports.engine.design.JasperDesign;
import net.sf.jasperreports.engine.xml.JRXmlLoader;

/**
 * 
 * @author SGD
 */

public class ReportRoutines {
	
	
	private static final String REPORT_PATH = "C:\\tutos\\reports\\test.jrxml";
	private static final String REPORT_EXPORT_PATH = "C:\\tutos\\reports\\test.pdf";
	
	/**
	 * Genera el pdf para el informe
	 * @param aux = Lista de objetos que mostraremos en el informe
	 * @param map = Resto de parametros que viajan al informe
	 * @throws JRException
	 */
	
	public static void exportPDF (List aux, HashMap map) throws JRException
	{
			// Definimos cual sera nuestra fuente de datos
			JRBeanCollectionDataSource ds =new JRBeanCollectionDataSource(aux);
			// Recuperamos el fichero fuente 
			JasperDesign jd=JRXmlLoader.load(REPORT_PATH);
			// Compilamos el informe jrxml
			JasperReport report = JasperCompileManager.compileReport(jd);
			// Rellenamos el informe con la conexion creada y sus parametros establecidos
			JasperPrint print = JasperFillManager.fillReport(report,map, ds);
			
			// Exportamos el informe a formato PDF
			JasperExportManager.exportReportToPdfFile(print, REPORT_EXPORT_PATH);
		
	}
	

}
